{% extends 'property_vacancy_management/building_unit/building_unit.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/building_unit/photo/overview') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/building_unit/photo/overview') }}
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card px-4 py-3 mb-4">
            {% if buildingUnit.getImages() is empty  %}
                <p class="text-center text-secondary pt-3">Zu diesem Objekt sind bislang keine Bilder hinterlegt.</p>
            {% endif %}
            <div class="row g-3 mb-4">
                {% for image in buildingUnit.getImages() %}
                    {% if image.getThumbnailFile is not null %}
                        {% set imagePath = path('file', {'fileUuid': image.getThumbnailFile().getUuid()}) %}
                    {% else %}
                        {% set imagePath = path('file', {'fileUuid': image.getFile().getUuid()}) %}
                    {% endif %}
                    <div class="col-sm-6 col-md-3">
                        <div class="mdc-card mdc-card--outlined">
                            <div class="lazy-image-loader mdc-card__media mdc-card__media--square" data-background-image="{{ imagePath }}" {% if buildingUnit.getMainImage() != null and buildingUnit.getMainImage() == image %}title="Hauptbild"{% endif %}>
                                <div class="mdc-card__media-content"></div>
                            </div>
                            {% if buildingUnit.getMainImage() != null and buildingUnit.getMainImage() == image %}
                                <span class="position-absolute top-0 start-100 translate-middle p-2 bg-success border border-light rounded-circle">
                                    <span class="visually-hidden">Hauptbild</span>
                                </span>
                            {% endif %}
                            <div class="p-2">
                                <b>{{ image.getTitle() }}</b>
                            </div>
                            <div class="mdc-card__actions">
                                <div class="mdc-card__action-buttons">
                                    <a href="{{ path('property_vacancy_management_building_unit_photo', {'buildingUnitId': buildingUnit.getId(), 'imageId': image.getId()}) }}" class="mdc-button mdc-card__action mdc-card__action--button">
                                        <div class="mdc-button__ripple"></div>
                                        <span class="mdc-button__label">Details</span>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                {% endfor %}
                {% if buildingUnit.getImages() != null and buildingUnit.getImages()|length > 1 %}
                    <p class="small mt-3 mb-3">Hinweis: Die zuletzt hochgeladenen Bilder werden als erstes angezeigt. Ist ein Hauptbild gesetzt, wird dies mit einem grünen Punkt markiert.</p>
                {% endif %}
            </div>
            {% if is_granted('edit', buildingUnit) == true %}
                <h2 class="mb-3 fs-3">Fotos hochladen</h2>
                {% include 'component/dropzone_upload_component.html.twig' with {
                    'idPrefix': 'photo_upload_',
                    'uploadUrl': path('property_vacancy_management_building_unit_photo_upload', {'buildingUnitId': buildingUnit.getId()}),
                    'redirectUrl': path('property_vacancy_management_building_unit_photo_overview', {'buildingUnitId': buildingUnit.getId()})
                } only %}
            {% endif %}
        </div>
    </div>
{% endblock %}
